summaryrefslogtreecommitdiff
path: root/tests/guix-package.sh
diff options
context:
space:
mode:
authorLudovic Courtès <ludo@gnu.org>2012-12-12 00:10:32 +0100
committerLudovic Courtès <ludo@gnu.org>2012-12-12 00:10:32 +0100
commit7a6548cbae7b7fea5a3d06536dbe1927673975e4 (patch)
treeae8cc754184b593600cc51b009fe50a4084c8802 /tests/guix-package.sh
parent1c67d639d5497cdae5bf7a6ececdd789e8537a01 (diff)
downloadgnu-guix-7a6548cbae7b7fea5a3d06536dbe1927673975e4.tar
gnu-guix-7a6548cbae7b7fea5a3d06536dbe1927673975e4.tar.gz
tests: Remove `t-profile' files on exit.
* tests/guix-package.sh: Use a trap on EXIT to remove profile-related files. Reported by Andreas Enge <andreas@enge.fr>.
Diffstat (limited to 'tests/guix-package.sh')
-rw-r--r--tests/guix-package.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/guix-package.sh b/tests/guix-package.sh
index 83108601cf..2a424cc3de 100644
--- a/tests/guix-package.sh
+++ b/tests/guix-package.sh
@@ -25,6 +25,8 @@ guix-package --version
profile="t-profile-$$"
rm -f "$profile"
+trap 'rm "$profile" "$profile-"[0-9]*' EXIT
+
guix-package -b -p "$profile" \
-i `guix-build -e '(@@ (distro packages base) %bootstrap-guile)'`
test -L "$profile" && test -L "$profile-1-link"
@@ -69,4 +71,3 @@ guix-package -b -i "libsigsegv:lib" -n
# Check whether `--list-available' returns something sensible.
guix-package -A 'gui.*e' | grep guile
-rm "$profile" "$profile-"[0-9]*